Bug 845110 - Review Request: libpng12 - backwards compatibility for libpng
Review Request: libpng12 - backwards compatibility for libpng
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 15:27 EDT by Tom Lane
Modified: 2013-07-02 23:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-01 16:49:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom Lane 2012-08-01 15:27:34 EDT
Spec URL: http://tgl.fedorapeople.org/libpng12.spec
SRPM URL: http://tgl.fedorapeople.org/libpng12-1.2.49-1.fc18.src.rpm
Description: Proposed backwards-compatibility package for libpng 1.2

Because LSB wants libpng 1.2 to be available, we can't just drop it after all
other packages are recompiled to use libpng 1.5.  It needs to be a standalone
package, and here is that package.

One thing that's possibly questionable is whether to bother with a -devel subpackage at all; but if we're going to offer the library it should probably be possible to compile against it.

Fedora Account System Username: tgl
Comment 1 Tom "spot" Callaway 2012-08-01 15:37:58 EDT
A few really minor things:

* Don't use %makeinstall, use "make DESTDIR=$RPM_BUILD_ROOT install"
* There is no need to rm -rf $RPM_BUILD_ROOT as the first step in %install, that happens automatically in all Fedora RPM versions now.
* %defattr(-,root,root) is the default in all %files lists in all Fedora RPM versions now, so it can be omitted.
* %clean with a body of rm -rf $RPM_BUILD_ROOT is the default in all Fedora RPM versions now, so it can be omitted.
* Buildroot is no longer definable in the spec file, it is forced to a sane default for all RPM builds in all Fedora RPM versions now, so it can be omitted.
* Explicit Requires for architecture specific packages should specify %{?_isa} as part of the Requires. This translates into changing this:

Requires: %{name} = %{epoch}:%{version}-%{release} zlib-devel pkgconfig

to

Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release} zlib-devel%{?_isa} pkgconfig%{?_isa}

This tells yum (and any depsolver) that we want the zlib-devel that matches our built package's architecture type and bitsize, and that other multilib packages which match the explicit requires in name only (think i686 vs x86_64) are not valid to meet this Requires. See:

https://fedoraproject.org/wiki/Packaging/Guidelines#Requires

*****

If you make those changes, I will be able to approve this package.
Comment 2 Tom Lane 2012-08-01 15:47:28 EDT
Hm, can you tell libpng is a really ancient package :-)

All changes sound fine to me, specfile and SRPM at the above URLs updated.
Comment 3 Tom "spot" Callaway 2012-08-01 15:54:55 EDT
== Review ==

- rpmlint checks return:
libpng12.src: W: spelling-error Summary(en_US) libpng -> sibling
libpng12.src: W: spelling-error %description -l en_US libpng -> sibling
libpng12.src: W: strange-permission libpng-1.2.49.tar.bz2 0444L
libpng12.src: W: invalid-url Source0: ftp://ftp.simplesystems.org/pub/png/src/libpng-1.2.49.tar.bz2 <urlopen error ftp error: [Errno ftp error] 550 libpng-1.2.49.tar.bz2: No such file or directory>
libpng12.x86_64: W: spelling-error Summary(en_US) libpng -> sibling
libpng12.x86_64: W: spelling-error %description -l en_US libpng -> sibling
libpng12-devel.x86_64: W: spelling-error Summary(en_US) libpng -> sibling
libpng12-devel.x86_64: W: spelling-error %description -l en_US libpng -> sibling
libpng12-devel.x86_64: W: no-manual-page-for-binary libpng-config
libpng12-devel.x86_64: W: no-manual-page-for-binary libpng12-config

All of these are safe to ignore...

libpng12-devel.x86_64: E: rpath-in-buildconfig /usr/bin/libpng12-config lines ['43']

Even this one, it is a false positive.

- package meets naming guidelines
- package meets packaging guidelines
- license (zlib) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (fbf8faa70ebca2ed2ee6df6f2249f4722517b581af5b6c3c71bbdaf925d5954e)
- package compiles on Fedora 17 (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

APPROVED.
Comment 4 Tom Lane 2012-08-01 16:03:58 EDT
New Package SCM Request
=======================
Package Name: libpng12
Short Description: Old version of libpng, needed to run old binaries
Owners: tgl
Branches: f18
InitialCC:
Comment 5 Gwyn Ciesla 2012-08-01 16:11:16 EDT
Done.  f18 not branched yet.
Comment 6 Tom Lane 2012-08-01 16:49:34 EDT
Looks great, many thanks for the timely help.
Comment 7 Ralf Corsepius 2012-08-02 23:08:45 EDT
(In reply to comment #4)
> New Package SCM Request
> =======================
> Package Name: libpng12
> Short Description: Old version of libpng, needed to run old binaries
> Owners: tgl
> Branches: f18
> InitialCC:

Would it be possible to also to have this package for f17?

The issues this package is trying to address (Band-aid to build and use old packages), are also valid on f17.
Comment 8 Tom Lane 2012-08-02 23:23:47 EDT
(In reply to comment #7)
> Would it be possible to also to have this package for f17?

I'm annoyed even at having to have this in HEAD.  I don't want to expand it.

AFAICS the actual use-case for this is only to satisfy the LSB standard.  I did not get one single complaint about the lack of libpng 1.2 build support in F17, and therefore I'm unexcited about adding it retroactively to that release.
Comment 9 Ralf Corsepius 2012-08-03 00:20:03 EDT
(In reply to comment #8)
> (In reply to comment #7)
> > Would it be possible to also to have this package for f17?
> 
> I'm annoyed even at having to have this in HEAD.  I don't want to expand it.

Hmm, ...

> AFAICS the actual use-case for this is only to satisfy the LSB standard.  I
> did not get one single complaint about the lack of libpng 1.2 build support
> in F17,
Then take my request as such a complaint. 

I am facing issues with rebuilding non-Fedora supplied packages, for which porting to libpng-1.5 would a non-trivial and larger effort.

ATM, I am resorting to either building these packges on F16 (and mix these F16
packages into f17-repos) or to rebuild them against libpng10-devel. In this context, libpng12 packages would be very helpful.

BTW: AFAICT, Debian, Ubuntu and SuSE all seem to have such libpng12 packages.

Note You need to log in before you can comment on or make changes to this bug.